Bug 13677 - Copy fails with vfs_fruit if AFP_AfpInfo stream file size > 60bytes
Copy fails with vfs_fruit if AFP_AfpInfo stream file size > 60bytes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-06 11:40 UTC by Ralph Böhme
Modified: 2018-11-24 00:29 UTC (History)
4 users (show)

See Also:


Attachments
Patch for 4.8 backported from master (14.99 KB, patch)
2018-11-10 14:47 UTC, Ralph Böhme
jra: review+
Details
Patch for 4.9 cherry-picked from master (15.14 KB, patch)
2018-11-10 14:47 UTC, Ralph Böhme
jra: review+
Details
Follow-up patch (1.29 KB, patch)
2018-11-16 11:01 UTC, Karolin Seeger
vl: review+
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-11-06 11:40:40 UTC
Found in the wild: a Windows client tries to copy some file to a vfs_fruit enabled Samba share and the copy fails when the client tries to write 64 bytes to the AFP_AfpInfo stream.

It's unclear *why* the client does this, but testing against a macOS SMB server shows that this works there. The server just ignores the extra 4 bytes.
Comment 1 Ralph Böhme 2018-11-10 14:47:34 UTC
Created attachment 14640 [details]
Patch for 4.8 backported from master
Comment 2 Ralph Böhme 2018-11-10 14:47:56 UTC
Created attachment 14641 [details]
Patch for 4.9 cherry-picked from master
Comment 3 Jeremy Allison 2018-11-12 22:03:37 UTC
Re-assigning to Karolin for inclusion in 4.9.next,4.8.next.
Comment 4 Karolin Seeger 2018-11-14 11:30:31 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{9,8}-test.
Comment 5 Karolin Seeger 2018-11-16 11:01:16 UTC
Created attachment 14663 [details]
Follow-up patch

Follow-up patch to fix the 32-bit build.
Comment 6 Karolin Seeger 2018-11-16 11:04:15 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to autobuild-v4-{9,8}-test.
Comment 7 Karolin Seeger 2018-11-20 11:28:04 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!